Summary:	Gizmod is an advanced input handler for keyboards, mice, and joypads
Name: 		gizmod
Version:	3.5
Release:	5
Group:		System/Configuration/Hardware 
License:	Apache License V2.0
URL:		http://gizmod.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		gizmod-3.5-mdv-fix_build_errors.patch
Patch1:		gizmod-3.5-mdv-fix_cmake_dependencies.patch
Patch2:		gizmod-3.5_stdlib.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libvisual-0.4)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(x11)

%description
Gizmod is an input handler that binds to a specific device and can
adapt to various situations so you can have one meaning in, say, AmaroK
and another in MPlayer, etc. It even includes remote control so you can
send input events to another machine with a locally connected device.

%prep
%setup -q
%apply_patches

%build
export CXXFLAGS="%optflags -DBOOST_FILESYSTEM_VERSION=2"
%cmake
%make

%install
%makeinstall_std -C build

rm -fr %buildroot%_libdir/*.so %buildroot%_includedir

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS NOTICE README TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/libvisual-0.4
%{_sysconfdir}/*


%changelog
* Sat Jun 09 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.5-5
+ Revision: 804308
- rebuild for boost libs
- cleaned up spec

* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 3.5-4
+ Revision: 644483
- force filesystem v2
- rebuild for new boost

* Fri Nov 12 2010 Götz Waschk <waschk@mandriva.org> 3.5-3mdv2011.0
+ Revision: 596490
- rebuild for new python

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 3.5-2mdv2011.0
+ Revision: 572168
- only ships runtime files
- rebuild for new boost

* Sun Aug 15 2010 Zombie Ryushu <ryushu@mandriva.org> 3.5-1mdv2011.0
+ Revision: 569869
- Fix Group
- Fix Group
- import gizmod


* Fri Aug 13 2010 Maarten Vanraes <maarten.vanraes@gmail.com> 3.5-1mdv
- Fix the spec file to mdv standards
- Fix build errors for newer gcc
- Fix cmake bugs
* Tue Sep 25 2007 Martin Moeller <martin@martinm-76.dk> 3.3-4.1
- Disabled libvisual for now to enable build on SLE10. It is mostly a gimmick right now anyway.
* Tue Sep 25 2007 Martin Moeller <martin@martinm-76.dk> 3.3-3.1
- Got the final hurdles figured out that prevented the package from building
* Thu Sep 20 2007 Martin Moeller <martin@martinm-76.dk> 3.3-0
- initial version
